// Playground - noun: a place where people can play

import UIKit

var arrayOne = [1,2]
var arrayTwo = [Int]()
arrayOne.isEmpty  // Wartością zwrotną jest false, ponieważ tablica nie jest pusta.
arrayTwo.isEmpty  // Wartością zwrotną jest true, ponieważ tablica jest pusta.

arrayOne.append(3)  // Tablica arrayOne zawiera teraz elementy 1, 2 i 3.
arrayOne += [3,4]

var arrayThree = [1,2,3,4,5]
arrayThree.insert(10, at: 3) // Tablica arrayThree zawiera teraz elementy 1, 2, 3, 10, 4 i 5.

var arrayFour = [1,2,3]
arrayFour[1] = 10  // Tablica arrayFour zawiera teraz elementy 1, 10 i 3.


var arrayFive = [1, 2, 3, 4, 5]
arrayFive.removeLast() // Tablica arrayFive zawiera teraz elementy 1,2,3 i 4.
arrayFive.remove(at: 2)  // Tablica arrayFive zawiera teraz elementy 1, 2 i 4.
arrayFive.removeAll()  // Tablica arrayFive jest teraz pusta.


let arraySix = [1,2]
let arraySeven = [3,4]
var combine = arraySix + arraySeven // Zmienna combine zawiera elementy 1, 2, 3 i 4.

var arrayEight = [1,2,3]
var reverse = arrayEight.reversed() // Zmienna reverse zawiera elementy 3,2 i 1.

var arrayNine = [1,2,3,4,5]
var subArray = arrayNine[2...4] // Tablica subArray zawiera elementy 3, 4 i 5.
subArray = arrayNine[2..<4] // Tablica subArray zawiera teraz elementy 3 i 4.

var arrayTen = [1,2,3,4,5]
arrayTen[1...2] = [12,13]// Tablica arrayTen zawiera teraz elementy 1, 12, 13, 4 i 5.

var arrayEleven = [1,2,3,4,5]
arrayEleven[1...3] = [12,13] // Tablica arrayEleven zawiera teraz elementy 1, 12, 13 i 5 (cztery elementy).

var arrayTwelve = [1,2,3,4,5]
arrayTwelve[1...3] = [12,13,14,15] // Tablica arrayTwelve zawiera teraz elementy 1, 12, 13, 14, 15 i 5 (sześć elementów).

var arrayFourteen = [1,2,3,4,5]
arrayFourteen[1...3] // Tablica arrayFourteen zawiera teraz elementy 1 i 5.

